"use strict";
var stack_layout_1 = require("ui/layouts/stack-layout");
var color_1 = require("color");
var Accordion = (function (_super) {
    __extends(Accordion, _super);
    function Accordion() {
        _super.call(this);
    }
    Object.defineProperty(Accordion.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Accordion.prototype, "_nativeView", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Accordion.prototype._createUI = function () {
        var that = new WeakRef(this);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._expandableLayout = new net.cachapa.expandablelayout.ExpandableLayout(this._context);
        if (this.duration) {
            this._expandableLayout.setDuration(this.duration);
        }
        this._android = new android.widget.LinearLayout(this._context);
        this._android.setOrientation(android.widget.LinearLayout.VERTICAL);
        this._android.setId(this._androidViewId);
        this._android.setLayoutParams(new android.widget.LinearLayout.LayoutParams(android.widget.LinearLayout.LayoutParams.MATCH_PARENT, android.widget.LinearLayout.LayoutParams.MATCH_PARENT));
        if (this.bgColor) {
            this._android.setBackgroundColor(new color_1.Color(this.bgColor).android);
        }
    };
    Accordion.prototype.onLoaded = function () {
        var header = this._android.getChildAt(0);
        var body = this._android.getChildAt(1);
        this._android.removeView(header);
        this._android.removeView(body);
        this._android.addView(header);
        this._android.addView(this._expandableLayout);
        this._expandableLayout.addView(body);
        this._expandableLayout.setVisibility(android.view.View.GONE);
        _super.prototype.onLoaded.call(this);
    };
    Accordion.prototype.toggle = function () {
        this._expandableLayout.toggle();
    };
    Accordion.prototype.expand = function () {
        this._expandableLayout.expand();
    };
    Accordion.prototype.collapse = function () {
        this._expandableLayout.collapse();
    };
    Accordion.prototype.isExpanded = function () {
        return this._expandableLayout.isExpanded();
    };
    return Accordion;
}(stack_layout_1.StackLayout));
exports.Accordion = Accordion;
